# yapf_common.hpp File Reference

Commonly used classes for YAPF. More...

Go to the source code of this file.

## Data Structures
class | CYapfOriginTileT< Types >
| YAPF origin provider base class - used when origin is one tile / multiple trackdirs. More...
class | CYapfOriginTileTwoWayT< Types >
| YAPF origin provider base class - used when there are two tile/trackdir origins. More...
class | CYapfDestinationTileT< Types >
| YAPF destination provider base class - used when destination is single tile / multiple trackdirs. More...
class | CYapfT< Ttypes >
| YAPF template that uses Ttypes template argument to determine all YAPF components (base classes) from which the actual YAPF is composed. More...

## Detailed Description

Commonly used classes for YAPF.

Definition in file yapf_common.hpp.